import '//resources/cr_elements/cr_icon_button/cr_icon_button.js';
import '//resources/cr_elements/cr_icon/cr_icon.js';
import '//resources/cr_elements/icons.html.js';
import './composebox_tab_favicon.js';
import './icons.html.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { PropertyValues } from '//resources/lit/v3_0/lit.rollup.js';
import type { ComposeboxFile } from './common.js';
export interface ComposeboxFileThumbnailElement {
    $: {
        removeImgButton: HTMLElement;
        removeDocumentButton: HTMLElement;
        removeTabButton: HTMLElement;
    };
}
export declare class ComposeboxFileThumbnailElement extends CrLitElement {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        file: {
            type: ObjectConstructor;
        };
        isUploading_: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        tabFaviconChipsToCoinsEnabled_: {
            type: BooleanConstructor;
        };
    };
    accessor file: ComposeboxFile;
    getIsUploadingForTesting(): boolean;
    protected lensSendRawFileMediaTypesEnabled_: boolean;
    protected accessor tabFaviconChipsToCoinsEnabled_: boolean;
    protected accessor isUploading_: boolean;
    protected shouldUsePdfIcon_(): boolean;
    willUpdate(changedProperties: PropertyValues<this>): void;
    firstUpdated(changedProperties: PropertyValues<this>): void;
    protected onRemoveButtonClick_(): void;
    protected getDeleteFileButtonTitle_(): string;
    protected getFormattedUrl_(): string | null;
}
declare global {
    interface HTMLElementTagNameMap {
        'cr-composebox-file-thumbnail': ComposeboxFileThumbnailElement;
    }
}
